/**
 * DevExtreme (esm/renovation/ui/grids/data_grid/datagrid_component.js)
 * Version: 21.1.7 (build 22012-0313)
 * Build date: Wed Jan 12 2022
 *
 * Copyright (c) 2012 - 2022 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import DataGridBase from "../../../../ui/data_grid/ui.data_grid.base";
var DATA_GRID_NAME = "dxDataGrid";
export class DataGridComponent extends DataGridBase {
    constructor(element, options) {
        super(element, options);
        this.NAME = DATA_GRID_NAME
    }
    _initTemplates() {}
    _updateDOMComponent() {}
    _isDimensionChangeSupported() {
        return false
    }
}
